package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFIAAction;
import com.sa.ibiz.demo.demo.service.dto.WFIAActionSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFIAAction] 服务对象接口
 */
public interface WFIAActionService extends IService<WFIAAction>{

		WFIAAction get(WFIAAction et);
	boolean checkKey(WFIAAction et);
	boolean getDraft(WFIAAction et);
	boolean remove(WFIAAction et);
	boolean update(WFIAAction et);
	boolean create(WFIAAction et);
    List<WFIAAction> listDefault(WFIAActionSearchFilter filter) ;
	Page<WFIAAction> searchDefault(WFIAActionSearchFilter filter);
	/**	 实体[WFIAAction] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }